Enum Class ServiceSearchSortProperty
java.lang.Object
java.lang.Enum<ServiceSearchSortProperty>
com.eqixiac.equinix.internetaccess.enums.ServiceSearchSortProperty
- All Implemented Interfaces:
Serializable, Comparable<ServiceSearchSortProperty>, Constable
Sort property for
POST /internetAccess/v2/services/search (sort query parameter).
The spec types sort as a free pattern (/name,-/type). These are the
properties the live service sorts by (observed 2026-11-11); others such as /bandwidth
and /uuid fail with HTTP 500 EQ-7108000.
-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionReturns the JSON pointer sent on the wire.static ServiceSearchSortPropertyReturns the enum constant of this class with the specified name.static ServiceSearchSortProperty[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
NAME
/name. -
STATE
/state. -
TYPE
/type.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getPointer
Returns the JSON pointer sent on the wire.- Returns:
- the property pointer, for example
/name
-